net.sourceforge.pmd.testframework

## Class ParserTst

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst

- Direct Known Subclasses:
    AcceptanceTest, AccessNodeTest, ASTAnnotationTest, ASTAssignmentOperatorTest, ASTBlockStatementTest, ASTBooleanLiteralTest, ASTFieldDeclarationTest, ASTFormalParameterTest, ASTImportDeclarationTest, ASTInitializerTest, ASTLiteralTest, ASTLocalVariableDeclarationTest, ASTPackageDeclarationTest, ASTPrimarySuffixTest, ASTSwitchLabelTest, ASTThrowStatementTest, ASTVariableDeclaratorIdTest, ClassDeclTest, DAAPathFinderTest, FieldDeclTest, GeneralFiddlingTest, JDKVersionTest, MethodDeclTest, ParserCornersTest, SimpleNodeTest, StatementAndBraceFinderTest

      public abstract class ParserTst
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserTst()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASTCompilationUnit` | `buildDFA(String javaCode)`
    `<E> Set<E>` | `getNodes(Class<E> clazz, String javaCode)`
    `<E> Set<E>` | `getNodes(LanguageVersion languageVersion, Class<E> clazz, String javaCode)`
    `<E> List<E>` | `getOrderedNodes(Class<E> clazz, String javaCode)`
    `ASTCompilationUnit` | `parseJava(LanguageVersion languageVersion, String code)`
    `ASTCompilationUnit` | `parseJava13(String code)`
    `ASTCompilationUnit` | `parseJava14(String code)`
    `ASTCompilationUnit` | `parseJava15(String code)`
    `ASTCompilationUnit` | `parseJava17(String code)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserTst

          public ParserTst()

  - ### Method Detail

    - #### getNodes

          public <E> Set<E> getNodes(Class<E> clazz,
                            String javaCode)
                          throws Throwable

      Throws:
        `Throwable`

    - #### getNodes

          public <E> Set<E> getNodes(LanguageVersion languageVersion,
                            Class<E> clazz,
                            String javaCode)
                          throws Throwable

      Throws:
        `Throwable`

    - #### getOrderedNodes

          public <E> List<E> getOrderedNodes(Class<E> clazz,
                                    String javaCode)
                                  throws Throwable

      Throws:
        `Throwable`

    - #### buildDFA

          public ASTCompilationUnit buildDFA(String javaCode)
                                      throws Throwable

      Throws:
        `Throwable`

    - #### parseJava13

          public ASTCompilationUnit parseJava13(String code)

    - #### parseJava14

          public ASTCompilationUnit parseJava14(String code)

    - #### parseJava15

          public ASTCompilationUnit parseJava15(String code)

    - #### parseJava17

          public ASTCompilationUnit parseJava17(String code)

    - #### parseJava

          public ASTCompilationUnit parseJava(LanguageVersion languageVersion,
                                     String code)

Copyright © 2002-2013 InfoEther. All Rights Reserved.